<?php
namespace Claromentis\Stat\Telemetry;

$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array();
use Claromentis\Core\DAL\Db;
interface DataCollectorInterface
{
    
    
    
    
    
    
    
    public function Generate(Db $db);
    
    
    
    
    
    
    public function GetAsArray();
    
    
    
    
    
    
    public function GetAsJSON();
}